<?php
function jgd_bizelite_layout_switcher_customizer() { // begins jgd bizelite layout switcher function
	$layouts = get_theme_mod( 'jgd_bizelite_layout_choices' );
	
	switch ( $layouts ) {
		case __('2cr-mag', 'jgd-bizelite'):
			wp_register_style( 'jgd-bizelite-2cr-mag', get_template_directory_uri() . '/layouts/2-column-right-magazine.css', array( 'jgd-bizelite-main-stylesheet' ) );
			wp_enqueue_style( 'jgd-bizelite-2cr-mag' );
		break;
		case __('3cr', 'jgd-bizelite'):
			wp_register_style( 'jgd-bizelite-3cr', get_template_directory_uri() . '/layouts/3-column-right.css', array( 'jgd-bizelite-main-stylesheet' ) );
			wp_enqueue_style( 'jgd-bizelite-3cr' );
		break;
		case __('3cr-mag', 'jgd-bizelite'):
			wp_register_style( 'jgd-bizelite-3cr-mag', get_template_directory_uri() . '/layouts/3-column-right-magazine.css', array( 'jgd-bizelite-main-stylesheet' ) );
			wp_enqueue_style( 'jgd-bizelite-3cr-mag' );
		break;
		case __('2cl', 'jgd-bizelite'):
			wp_register_style( 'jgd-bizelite-2cl', get_template_directory_uri() . '/layouts/2-column-left.css', array( 'jgd-bizelite-main-stylesheet' ) );
			wp_enqueue_style( 'jgd-bizelite-2cl' );
		break;
		case __('2cl-mag', 'jgd-bizelite'):
			wp_register_style( 'jgd-bizelite-2cl-mag', get_template_directory_uri() . '/layouts/2-column-left-magazine.css', array( 'jgd-bizelite-main-stylesheet' ) );
			wp_enqueue_style( 'jgd-bizelite-2cl-mag' );
		break;
		case __('3cl', 'jgd-bizelite'):
			wp_register_style( 'jgd-bizelite-3cl', get_template_directory_uri() . '/layouts/3-column-left.css', array( 'jgd-bizelite-main-stylesheet' ) );
			wp_enqueue_style( 'jgd-bizelite-3cl' );
		break;
		case __('3cl-mag', 'jgd-bizelite'):
			wp_register_style( 'jgd-bizelite-3cl-mag', get_template_directory_uri() . '/layouts/3-column-left-magazine.css', array( 'jgd-bizelite-main-stylesheet' ) );
			wp_enqueue_style( 'jgd-bizelite-3cl-mag' );
		break;
		default:
			echo '';
	}
} // ends  jgd bizelite layout switcher function

function jgd_bizelite_style_switcher_customizer() { // begins  jgd bizelite style switcher function
	$style = get_theme_mod( 'jgd_bizelite_style_choices' );
	
	switch( $style ) {
		case __('blue', 'jgd-bizelite'):
			wp_register_style( 'jgd-bizelite-blue', get_template_directory_uri() . '/styles/blue.css', array( 'jgd-bizelite-main-stylesheet' ) );
			wp_enqueue_style( 'jgd-bizelite-blue' );
		break;
		case __('green', 'jgd-bizelite'):
			wp_register_style( 'jgd-bizelite-green', get_template_directory_uri() . '/styles/green.css', array( 'jgd-bizelite-main-stylesheet' ) );
			wp_enqueue_style( 'jgd-bizelite-green' );
		break;
		case __('red', 'jgd-bizelite'):
			wp_register_style( 'jgd-bizelite-red', get_template_directory_uri() . '/styles/red.css', array( 'jgd-bizelite-main-stylesheet' ) );
			wp_enqueue_style( 'jgd-bizelite-red' );
		break;
		case __('silver', 'jgd-bizelite'):
			wp_register_style( 'jgd-bizelite-silver', get_template_directory_uri() . '/styles/silver.css', array( 'jgd-bizelite-main-stylesheet' ) );
			wp_enqueue_style( 'jgd-bizelite-silver' );
		break;
		case __('olive', 'jgd-bizelite'):
			wp_register_style( 'jgd-bizelite-olive', get_template_directory_uri() . '/styles/olive.css', array( 'jgd-bizelite-main-stylesheet' ) );
			wp_enqueue_style( 'jgd-bizelite-olive' );
		break;
		default:
			echo '';
	}
} // ends jgd bizelite style switcher function
add_action( 'wp_enqueue_scripts', 'jgd_bizelite_layout_switcher_customizer' );
add_action( 'wp_enqueue_scripts', 'jgd_bizelite_style_switcher_customizer' );

function jgd_bizelite_style_customizations() {
	$content_bg = esc_html( get_theme_mod( 'jgd_bizelite_content_sidebar_bgcolor' ) );
	$hide_bg_texture = get_theme_mod( 'jgd_bizelite_hide_bg_texture' );
	$content_bg_css = '';
	
	if( $content_bg != '' ) {
		$content_bg_css = '
.texture {
	background-color: ' . $content_bg . ';
}';
	}
	
	if( $hide_bg_texture == 1 ) {
		$content_bg_css .= '
.texture {
	background-image: none;
}';
	}
	wp_add_inline_style( 'jgd-bizelite-main-stylesheet', $content_bg_css );
}

add_action( 'wp_enqueue_scripts', 'jgd_bizelite_style_customizations' );

function jgd_bizelite_light_text_customizer() {
	if( get_theme_mod( 'jgd_bizelite_light_text' ) == 1 ) {
		wp_register_style( 'jgd-bizelite-dark-bg', get_template_directory_uri() . '/styles/dark-bg.css', array( 'jgd-bizelite-main-stylesheet' ) );
		wp_enqueue_style( 'jgd-bizelite-dark-bg' );
	}
}
add_action( 'wp_enqueue_scripts', 'jgd_bizelite_light_text_customizer' );

function jgd_bizelite_hide_decorations_customizer() {
	if( get_theme_mod( 'jgd_bizelite_hide_decorations' ) == 1 ) {
		wp_register_style( 'jgd-bizelite-no-decs', get_template_directory_uri() . '/styles/no-decorations.css', array( 'jgd-bizelite-main-stylesheet' ) );
		wp_enqueue_style( 'jgd-bizelite-no-decs' );
	}
}
add_action( 'wp_enqueue_scripts', 'jgd_bizelite_hide_decorations_customizer' );

function jgd_bizelite_hide_postdate_switcher_customizer() {
	$hide_postdate = get_theme_mod( 'jgd_bizelite_hide_postdate' );
	if( $hide_postdate == 1 ) {
		echo '';
	} else { ?>
		| <strong><?php _e( 'Post date: ', 'jgd-bizelite' ); ?></strong><?php echo get_the_date(); ?>
	<?php
	}
}

function jgd_bizelite_disable_comments_switcher_customizer() {
	$disable_comments = get_theme_mod( 'jgd_bizelite_disable_comments' );
	if( $disable_comments == 1 ) {
		echo '';
	} elseif( $disable_comments == '' ) {
		comments_template();
	}
}

function jgd_bizelite_hide_commentslink_switcher_customizer() {
	$hide_commentslink = get_theme_mod( 'jgd_bizelite_hide_comments_link' );
	if( $hide_commentslink == 1 ) {
		echo '';
	} else { ?>
		| <strong><?php _e( 'Comments: ' , 'jgd-bizelite' ); ?></strong><a href="<?php comments_link(); ?>"><?php comments_number(); ?></a>
	<?php 
	}
}

function jgd_bizelite_hide_cats_switcher_customizer() {
	$hide_cats = get_theme_mod( 'jgd_bizelite_hide_categories' );
	if( $hide_cats == 1 ) {
		echo '';
	} else { ?>
		<strong><?php _e( 'Posted in categories: ', 'jgd-bizelite' ); ?></strong><?php the_category(', '); ?><br />
	<?php
	}
}

function jgd_bizelite_hide_tags_switcher_customizer() {
	$hide_tags = get_theme_mod( 'jgd_bizelite_hide_tags' );
	if( $hide_tags == 1 ) {
		echo '';
	} else {
		the_tags( '<strong>' . __( 'Tags: ', 'jgd-bizelite' ) . '</strong>', ', ', '');
	}
}

function jgd_bizelite_menutitle_one_customizer() {
	$menutitle_one = esc_html( get_theme_mod( 'jgd_bizelite_menutitle_one', __( 'Pages', 'jgd-bizelite' ) ) );
	if( $menutitle_one != '' ) {
		echo $menutitle_one;
	} else {
		echo __( 'Pages', 'jgd-bizelite' );
	}
}

function jgd_bizelite_menutitle_two_customizer() {
	$menutitle_two = esc_html( get_theme_mod( 'jgd_bizelite_menutitle_two', __( 'Categories', 'jgd-bizelite' ) ) );
	if( $menutitle_two != '' ) {
		echo $menutitle_two;
	} else {
		echo __( 'Categories', 'jgd-bizelite' );
	}
}

function jgd_bizelite_footer_info_customizer() {
	$footer_default = sprintf( __( '%1$s %2$s %3$s %4$s', 'jgd-bizelite' ), '&copy;', date_i18n(__( 'Y', 'jgd-bizelite' ) ), esc_html( get_bloginfo( 'name' ) ), ' | Theme: <a href="http://www.jasong-designs.com/2012/02/17/jgd-bizelite/">JGD-BizElite</a>' );
	$footer_info = wp_kses_post( get_theme_mod( 'jgd_bizelite_footer_info', $footer_default ) );
	if( $footer_info != '' ) {
		echo $footer_info;
	} else {
		echo $footer_default;
	}
}
?>