( function ( $ ) {
	// Update the site title in real time...
	wp.customize( 'blogname', function( value ) {
		value.bind( function( newval ) {
			$( '.blog-title a' ).html( newval );
		} );
	} );
	
	//Update the site description in real time...
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( newval ) {
			$( '.subtitle' ).html( newval );
		} );
	} );
	
	wp.customize( 'header_textcolor', function( value ) {
		value.bind( function( newval ) {
			if( 'blank' === newval ) {
				$( '.blog-title' ).css( { 'padding' : '0px' } );
				$( '.blog-title a, .subtitle' ).css( { 'position' : 'absolute', 'text-indent' : '-2000px' } );
				$( '.blog-title a' ).css( { 'display' : 'block', 'width' : '100%', 'height' : '240px' } );
			} else {
				$( '.blog-title' ).css( { 'padding' : '20px 40px 0 40px' } );
				$( '.blog-title a, .subtitle' ).css( { 'position' : 'static', 'text-indent' : '0px' } );
				$( '.blog-title a' ).css( { 'display' : 'inline', 'width' : 'auto', 'height' : 'auto' } );
			}
		} );
	} );
	
	//Update site title color in real time...
	wp.customize( 'header_textcolor', function( value ) {
		value.bind( function( newval ) {
			$('.blog-title a:link, .blog-title a:visited').css('color', newval );
		} );
	} );
	
	//Update site background color...
	wp.customize( 'background_color', function( value ) {
		value.bind( function( newval ) {
			$( 'body' ).css( 'background-color', newval );
		} );
	} );
	
	/* Custom settings and controls */
	// Update content and sidebar background color
	wp.customize( 'jgd_bizelite_content_sidebar_bgcolor', function( value ) {
		value.bind( function( newval ) {
			$( '.texture' ).css( 'background-color', newval );
		} );
	} );
	
	wp.customize( 'jgd_bizelite_menutitle_one', function( value ) {
		value.bind( function( newval ) {
			$( '#menubar-pages' ).html( newval + '<span class="menu-down-arrow"></span>' );
		} );
	} );
	
	wp.customize( 'jgd_bizelite_menutitle_two', function( value ) {
		value.bind( function( newval ) {
			$( '#menubar-cats' ).html( newval + '<span class="menu-down-arrow"></span>' );
		} );
	} );
	
	wp.customize( 'jgd_bizelite_footer_info', function( value ) {
		value.bind( function( newval ) {
			$( '#site-info > p' ).html( newval );
		} );
	} );
	
} ) ( jQuery );