/* The scripts on this page are licensed under the GNU General Public License */
/* See https://www.gnu.org/licenses/gpl.html for more information */

jQuery.noConflict();
// Use jQuery via jQuery(...)

jQuery(document).ready(function() {
	/* menubar */
	// hide menubar .pagemenu and .catmenu divs on page load
	jQuery('div#menubar .pagemenu').hide();
	jQuery('div#menubar .catmenu').hide();

	// toggle the .pagemenu and .catmenu divs when clicking h3 tags
	jQuery('h3#menubar-pages').click(function(){
		jQuery('div#menubar .pagemenu').slideToggle('slow');
	});
	jQuery('h3#menubar-cats').click(function(){
		jQuery('div#menubar .catmenu').slideToggle('slow');	
	});
	
	// Hide .pagemenu and .catmenu when clicking outside of menus
	// Thanks go to prc322 on this Stack Overflow page for this variation
	// http://stackoverflow.com/questions/1403615/use-jquery-to-hide-a-div-when-the-user-clicks-outside-of-it
	
	jQuery(document).click(function(e) {
		var pagesTitle = jQuery('#menubar-pages');
		var pagesUl = jQuery('#menubar .pagemenu');
		if (!pagesTitle.is(e.target) // if the target of the click is not the container.
			&& pagesTitle.has(e.target).length === 0) {
			pagesUl.slideUp('slow');
		}
	});
	
	jQuery(document).click(function(e) {
		var catsTitle = jQuery('#menubar-cats');
		var catsUl = jQuery('#menubar .catmenu');
		if (!catsTitle.is(e.target) // if the target of the click is not the container.
			&& catsTitle.has(e.target).length === 0) {
			catsUl.slideUp('slow');
		}
	});

	/* primary and secondary sidebars */
	// change cursor on second li tags
	jQuery('div#primary > ul > li > ul > li').filter(':has(ul)').hover(function() {
		jQuery(this).css('cursor','pointer');	
	});

	// find every second li tag that has ul below and add class .down-arrow-gray
	jQuery('div#primary > ul > li > ul > li').filter(':has(ul)').addClass('down-arrow-gray');
	jQuery('div#secondary > ul > li > ul > li').filter(':has(ul)').addClass('down-arrow-gray');

	// hide ul.children on page load
	jQuery('div#primary ul.children').hide();
	jQuery('div#secondary ul.children').hide();

	// toggle ul below second li tag when second li tag is clicked
	jQuery('div#primary > ul > li > ul > li > ul.children').hide().end().find('div#primary > ul > li > ul > li.down-arrow-gray').click(function(){
		jQuery('div#primary ul.children').slideToggle();
	});

	jQuery('div#secondary > ul > li > ul > li > ul.children').hide().end().find('div#secondary > ul > li > ul > li.down-arrow-gray').click(function(){
		jQuery('div#secondary ul.children').slideToggle();
	});
	
	/* Place smaller widget design behind .widgettitle only on 3-column layout */
	/* adapted from http://churchm.ag/dynamically-applying-stylesheets-using-jquery/ */
	var templateDir = jgd_bizelite_ScriptParams.templateDir;
	
	// check for blue stylesheet with 3-column stylesheets
	var blueExists = false;
	var threeColExists = false;
	jQuery('link').each(function() {
		var myId = this.id;
		if (myId === 'jgd-bizelite-3cr-css' ||
			myId === 'jgd-bizelite-3cl-css' ||
			myId === 'jgd-bizelite-3cr-mag-css' ||
			myId === 'jgd-bizelite-3cl-mag-css') {
			threeColExists = true;
		}
		if (myId === 'jgd-bizelite-blue-css') {
			blueExists = true;
		}
	});
	
	if((threeColExists === true) && (blueExists === true)) {
		jQuery('head').append('<style type="text/css"> .widgettitle { background: url(' + templateDir + '/images/widget-design-smaller-blue.png) bottom left no-repeat #FFFFFF; } </style>');
	}
	
	// check for green stylesheet with 3-column stylesheets
	var greenExists = false;
	var threeColExists = false;
	jQuery('link').each(function() { 
    	var myId = this.id;
    	if (myId === 'jgd-bizelite-3cr-css' ||
    		myId === 'jgd-bizelite-3cl-css' ||
    		myId === 'jgd-bizelite-3cr-mag-css' ||
    		myId === 'jgd-bizelite-3cl-mag-css') {
    		threeColExists = true;	
    	}
    	if (myId === 'jgd-bizelite-green-css') {
    		greenExists = true;
    	}
	});
  
	if((threeColExists === true) && (greenExists === true)) {
		jQuery('head').append('<style type="text/css"> .widgettitle { background: url(' + templateDir + '/images/widget-design-smaller-green.png) bottom left no-repeat #FFFFFF; } </style>');
	}
	
	// check for red stylesheet with 3-column stylesheets
	var redExists = false;
	var threeColExists = false;
	
	jQuery('link').each(function() {
		var myId = this.id;
		if (myId === 'jgd-bizelite-3cr-css' ||
    		myId === 'jgd-bizelite-3cl-css' ||
    		myId === 'jgd-bizelite-3cr-mag-css' ||
    		myId === 'jgd-bizelite-3cl-mag-css') {
    		threeColExists = true;	
    	}
    	if (myId === 'jgd-bizelite-red-css') {
    		redExists = true;
    	}
	});
	
	if((threeColExists === true) && (redExists === true)) { 
		jQuery('head').append('<style type="text/css"> .widgettitle { background: url(' + templateDir + '/images/widget-design-smaller-red.png) bottom left no-repeat #FFFFFF; } </style>'); 
	}
	
	// check for silver stylesheet with 3-column stylesheets
	var silverExists = false;
	var threeColExists = false;
	jQuery('link').each(function() {
    	myId = this.id;
    	if (myId === 'jgd-bizelite-3cr-css' ||
    		myId === 'jgd-bizelite-3cl-css' ||
    		myId === 'jgd-bizelite-3cr-mag-css' ||
    		myId === 'jgd-bizelite-3cl-mag-css') {
    		threeColExists = true;	
    	}
    	if (myId === 'jgd-bizelite-silver-css') {
    		silverExists = true;
    	}
	});
	
	if((threeColExists === true) && (silverExists === true)) {
		jQuery('head').append('<style type="text/css"> .widgettitle { background: url(' + templateDir + '/images/widget-design-smaller-silver.png) bottom left no-repeat #FFFFFF; </style>');
	}
	
	// check for olive stylesheet with 3-column stylesheets
	var oliveExists = false;
	var threeColExists = false;
	jQuery('link').each(function() {
    	var myId = this.id;
    	if (myId === 'jgd-bizelite-3cr-css' ||
    		myId === 'jgd-bizelite-3cl-css' ||
    		myId === 'jgd-bizelite-3cr-mag-css' ||
    		myId === 'jgd-bizelite-3cl-mag-css') {
    		threeColExists = true;	
    	}
    	if (myId === 'jgd-bizelite-olive-css') {
			oliveExists = true;
		}
	});
	
	if((threeColExists === true) && (oliveExists === true)) {
		jQuery('head').append('<style type="text/css"> .widgettitle { background: url(' + templateDir + '/images/widget-design-smaller-olive.png) bottom left no-repeat #FFFFFF; } </style>');
	}
	
	// Up and down button script to scroll to top and down to sidebar in tablet widths and below
	/* adapted from the code from the article "Using jQuery to add a dynamic Back To Top floating button with smooth scroll". See http://www.developerdrive.com/2013/07/using-jquery-to-add-a-dynamic-back-to-top-floating-button-with-smooth-scroll/ */
	
	var windowWidth = jQuery( window ).width();
	var offset = 100;
	var duration250 = 250;
	var duration100 = 100;
	var upDownButtons = "#footer #up-down-buttons";
	var toTop = "#footer #to-top";
	var toBottom = "#footer #to-bottom";
	
	if( windowWidth <= 1024 /* Desktop size begins at 1025px to exclude tablets in landscape */ ) {
		jQuery( upDownButtons ).css( { "right" : "-72px" } );
		
		jQuery( window ).scroll(function () {
			if ( jQuery(this).scrollTop() > offset ) {
				jQuery( upDownButtons ).animate( { "right" : "0px" }, duration250 );
			} else {
				jQuery( upDownButtons ).animate( { "right" : "-72px" }, duration100 );
			}
		});
	} else {
		jQuery( upDownButtons ).hide();
	}
	
	jQuery( toTop ).click( function ( event ) { 
		event.preventDefault();
		jQuery( "html, body" ).animate( { scrollTop: 0 }, duration250 );
		return false;
	} );
	
	jQuery( toBottom ).click( function ( event ) { 
		event.preventDefault();
		jQuery( "html, body" ).animate( { scrollTop: jQuery( "#primary" ).offset().top }, duration250 );
	} );
	
}); // ends document.ready function
